## python-exconsole 0.1.4

=== Makefile ===
PYTHON=`which python`
DESTDIR=/
BUILDIR=$(CURDIR)/debian/python-exconsole
RPMTOPDIR=$(CURDIR)/build
PROJECT=python-exconsole
DEBPROJECT=python-exconsole
VERSION=`python -c "from exconsole import __version__; print __version__"`
PREFIX=/usr

all:

install:
	$(PYTHON) setup.py install --root $(DESTDIR) $(COMPILE) --prefix $(PREFIX)

rpm: tgz
	rm -rf dist/*.rpm

	cat dist/$(PROJECT).spec.in | sed s/__VERSION__/$(VERSION)/g > $(PROJECT).spec

	mkdir -p build/SOURCES || true
	cp dist/$(PROJECT)*.tar.gz build/SOURCES

	rpmbuild --define '_topdir $(RPMTOPDIR)' -bb $(PROJECT).spec 

	mv build/RPMS/noarch/$(PROJECT)*.rpm dist

	rm $(PROJECT).spec

deb: tgz
	rm -rf dist/*.deb

	cat debian/changelog.in | sed s/__VERSION__/$(VERSION)/g | sed "s/__DATE__/$(DATE)/g" > debian/changelog

	cp dist/$(PROJECT)*.tar.gz ..
	rename -f 's/$(PROJECT)-(.*)\.tar\.gz/$(DEBPROJECT)_$$1\.orig\.tar\.gz/' ../*
	dpkg-buildpackage -b -rfakeroot -us -uc

	mv ../$(DEBPROJECT)*.deb dist/
	
	rm ../$(DEBPROJECT)*.orig.tar.gz
	rm ../$(DEBPROJECT)*.changes
	rm debian/changelog

upload-deb: deb
	scp dist/*.deb root@ajenti.org:/srv/repo/ng/debian
	ssh root@ajenti.org /srv/repo/rebuild-debian.sh

upload-rpm: rpm
	scp dist/*.rpm root@ajenti.org:/srv/repo/ng/centos/6
	ssh root@ajenti.org /srv/repo/rebuild-centos.sh

upload-tgz: tgz
	$(PYTHON) setup.py sdist upload

tgz:
	rm dist/*.tar.gz || true
	$(PYTHON) setup.py sdist 


clean:
	$(PYTHON) setup.py clean
	rm -rf build/ debian/$(PROJECT)* debian/*stamp* debian/files MANIFEST *.egg-info
	find . -name '*.pyc' -delete

=== debian/changelog ===
python-exconsole (0.1.4-1) unstable; urgency=low

  * New upstream release.
  * Upload to unstable.

 -- Andrew Shadura <andrewsh@debian.org>  Tue, 08 Oct 2013 16:31:24 +0200

python-exconsole (0.1.3-1) experimental; urgency=low

  * Initial release.

 -- Andrew Shadura <andrewsh@debian.org>  Sat, 21 Sep 2013 11:30:21 +0200

=== debian/control ===
Source: python-exconsole
Section: python
Priority: optional
Maintainer: Andrew Shadura <andrewsh@debian.org>
Build-Depends:
    python-setuptools (>= 0.6.24),
    python-all (>= 2.6.6-3),
    debhelper (>= 9)
Standards-Version: 3.9.4
Homepage: http://github.com/Eugeny/exconsole

Package: python-exconsole
Architecture: all
Depends: ${misc:Depends}, ${python:Depends}
Provides: ${python:Provides}
Description: emergency/postmortem Python console
 python-exconsole is an emergency/postmorten console for Python.
 .
 It provides a backtrace and a Python console to inspect the
 situation when unhandled exception has occured.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with python2

override_dh_auto_install:
	dh_auto_install -- COMPILE=--install-layout=deb

override_dh_installchangelogs:
	dh_installchangelogs -X docs

override_dh_auto_clean:
	rm -rf build build-stamp configure-stamp build/ MANIFEST
	dh_auto_clean || true

.PHONY: override_dh_auto_install override_dh_installchangelogs override_dh_auto_clean

=== debian/watch ===
version=3

opts=filenamemangle=s/.*\/(.*)$/python-exconsole-$1/ https://github.com/Eugeny/exconsole/tags /Eugeny/exconsole/archive/(\d.*).tar.gz

## python-exconsole 0.1.5%2Bgit20131201

=== debian/changelog ===
python-exconsole (0.1.5+git20131201-1) unstable; urgency=medium

  * New upstream snapshot.
  * Use pybuild.

 -- Andrew Shadura <andrewsh@debian.org>  Sun, 29 Jun 2014 23:00:40 +0200

=== debian/control ===
--- 
+++ 
@@ -3,6 +3,7 @@
 Priority: optional
 Maintainer: Andrew Shadura <andrewsh@debian.org>
 Build-Depends:
+    dh-python,
     python-setuptools (>= 0.6.24),
     python-all (>= 2.6.6-3),
     debhelper (>= 9)
@@ -14,7 +15,7 @@
 Depends: ${misc:Depends}, ${python:Depends}
 Provides: ${python:Provides}
 Description: emergency/postmortem Python console
- python-exconsole is an emergency/postmorten console for Python.
+ python-exconsole is an emergency/postmortem console for Python.
  .
  It provides a backtrace and a Python console to inspect the
  situation when unhandled exception has occured.

## python-exconsole 0.1.5+git20131201

=== debian/changelog ===
python-exconsole (0.1.5+git20131201-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * rebuild for mstrict-align

 -- root <root@loongson-pc>  Fri, 28 Jan 2022 17:50:49 +0800
